import { ChangeDetectionStrategy, Component, inject } from '@angular/core';
import { TransactionService } from '@service/transaction.service';
import { Observable } from 'rxjs';

@Component({
  standalone: true,
  selector: 'app-transaction-history',
  imports: [],
  templateUrl: './transaction-history.component.html',
  styleUrl: './transaction-history.component.css',
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class TransactionHistoryComponent {
  private transactionService: TransactionService = inject(TransactionService);

  transactions$: Observable<> = this.transactionService.getUsersTransactions();
}
